#include <kernel/include.h>
#include <drivers/serial/serial.h>
#include <drivers/lcd/define.h>
#include <drivers/rtc/rtc.h>
#include <drivers/key/key.h>
#include <drivers/fnd/fnd.h>
//#include <drivers/dot/dot.h>



void task_menu();
void select_menu(char menu_no);

void task_coffee();


int C_Entry()
{
	rtc_init(7, 0, 0);

	Arch_Init();
	Kern_Init();
	Kern_IOSubBuild();

	Kern_ThreadCreate(1, &task_menu, 1, 0);

	OSTimer0_IRQ_Init();
	Kern_Sched();

	while(1) {;}

	return 0;
}


void task_menu(void)
{
	char menu_no;

	SerialOutputString("menu task!\n");

	for (;;) {
		SerialOutputString("select menu! (push key-pad)\n");
		menu_no = key_read();
		select_menu(menu_no);
	}
}

void select_menu(char menu_no)
{
	SerialOutputString("selected ");
	SerialOutputHex(menu_no);
	SerialOutputString("\n");

	switch (menu_no) {
		case 0x0:
			Kern_ThreadCreate(2, &task_coffee, 2, 0);
			break;
		default:
			SerialOutputString("invaild key input\n");
			break;
	}
}


void task_coffee(void)
{
	rtc_alarm_init(0, 3, 0);

	for (;;) ;
}

